<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">


<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content=""/>
    <meta name="keywords" content=""/>
    <title>Narnia</title>

    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
    <link rel="stylesheet" href="/css/main.min.css">
    <link rel="stylesheet" href="/css/style.css">
    <link rel="stylesheet" href="/css/color.css">
    <link rel="stylesheet" href="/css/responsive.css">

</head>
<body>
<div class="theme-layout">
    <div class="topbar stick">
        <div class="logo" id="narnialogo">
            <a title=""><img src="/images/Narnia-Logo2.jpg" alt=""></a>
        </div>
        <div class="top-area">
            <ul class="main-menu">
                <li>
                    <a href="#" title="">timeline</a>
                    <ul>
                        <li><a href="/timeline" title="">timeline</a></li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">World Hottest</a>
                    <ul>
                        <li><a href="/hot" title="">world hottest</a></li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">profile page</a>
                    <ul>
                        <li><a th:href="@{/profile}" title="">go to profile page</a></li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">account settings</a>
                    <ul>
                        <li><a th:href="@{/profile/{id}/edit-password(id=${user.id})}" title="">edit-password</a></li>
                        <li><a th:href="@{/profile/{id}/edit-profile(id=${user.id})}" title="">edit profile basics</a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">more pages</a>
                    <ul>
                        <li><a th:href="@{/about}" title="">about us</a></li>
                        <li><a sec:authorize="hasRole('ROLE_ADMIN')" href="/admin" title="">admin page</a></li>
                    </ul>
                </li>

            </ul>
            <ul class="setting-area" id="settingstopbar">
                <li>
                    <a title="Search" data-ripple=""><i class="ti-search" id="searchicon"></i></a>
                    <div class="searched">
                        <form method="post" class="form-search">
                            <input type="text" class="search-input" id="search-input" placeholder="Search User">
                            <button data-ripple><i class="ti-search"></i></button>
                            <div class="results-list" id="results-list">

                            </div>
                        </form>
                    </div>
                </li>
                <li>
                    <a title="Notification" id="notiicon" data-ripple="">
                        <i class="ti-bell"></i><span th:text="${user.getReceivedRequests().size()}"></span>
                    </a>
                    <div class="dropdowns">
                        <ul class='mesg-meta' id="requests">
                        </ul>
                    </div>
                </li>
            </ul>
        </div>
    </div><!-- topbar -->
    <section>
        <div class="feature-photo">
            <figure><img class="coverImage" th:src="@{'data:image/png;base64,'+${user.generateCoverPhoto()}}" src=""
                         alt=""></figure>
            <div class="add-btn">
            </div>
            <form class="edit-phto" id="covereditphoto" th:action="@{/profile/coverPhoto}" method="post"
                  enctype="multipart/form-data">
                <i class="fa fa-camera-retro"></i>
                <label class="fileContainer">
                    Edit Cover Photo
                    <input type="file" name="file"/>
                </label>
                <input type="submit" id="edit-cover">
            </form>
            <div class="container-fluid">
                <div class="row merged">
                    <div class="col-lg-2 col-sm-3">
                        <div class="user-avatar" id="profavtr">
                            <figure>
                                <img class="image" id="profpict"
                                     th:src="@{'data:image/png;base64,'+${user.generateProfilePhoto()}}"
                                     alt="" src="">
                                <form class="edit-phto" id="popupeditprof" th:action="@{/profile/photo}" method="post"
                                      enctype="multipart/form-data">
                                    <i class="fa fa-camera-retro"></i>
                                    <label class="fileContainer">
                                        Edit Display Photo
                                        <input type="file" name="file">
                                    </label>
                                    <input type="submit" id="editprpic">
                                </form>
                            </figure>
                        </div>
                    </div>
                    <div class="col-lg-10 col-sm-9">
                        <div class="timeline-info">
                            <ul>
                                <li class="admin-name">
                                    <h5 id="names" th:text="${user.getFirstName()} + ' ' + ${user.getLastName()}"></h5>
                                    <span></span>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section><!-- top area -->
    <section>
        <div class="gap gray-bg" id="profile">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="row" id="page-contents">
                            <div class="col-lg-3">
                                <aside class="sidebar static">
                                    <div class="widget" >
                                        <h4 class="widget-title">Basic Info</h4>
                                        <ul class="naves">
                                            <li>
                                                <h5
                                                    th:text="Name+': ' +${user.getFirstName()} + ' ' + ${user.getLastName()}"></h5>
                                            </li>
                                            <li >
                                                <td th:if="${user.getAddress()==null}">
                                                    <h5  th:text="Address+': ' + 'Not provided'"></h5>
                                                </td>
                                                <td th:unless="${user.getAddress()==null}">
                                                    <h5  th:text="Address+': ' +${user.getAddress()}"></h5>
                                                </td>
                                            </li>
                                            <li >
                                                <td th:if="${user.getAge()==0}">
                                                    <h5  th:text="Age+': ' + 'Not provided'"></h5>
                                                </td>
                                                <td th:unless="${user.getAge()==0}">
                                                    <h5  th:text="Age+': ' +${user.getAge()}"></h5>
                                                </td>
                                            </li>
                                            <li >
                                                <td th:if="${user.getEducation()==null}">
                                                    <h5  th:text="Education+': ' +'Not provided'"></h5>
                                                </td>
                                                <td th:unless="${user.getEducation()==null}">
                                                    <h5  th:text="Education+': ' +${user.getEducation()}"></h5>
                                                <td>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="widget">
                                        <h4 class="widget-title">Shortcuts</h4>
                                        <ul class="naves">
                                            <li>
                                                <i class="ti-star"></i>
                                                <a href="/hot" title="">Hottest posts</a>
                                            </li>
                                            <li>
                                                <i class="ti-face-smile"></i>
                                                <a href="/timeline" title="">News feed</a>
                                            </li>
                                            <li sec:authorize="hasRole('ROLE_ADMIN')">
                                                <i class="ti-alert"></i>
                                                <a href="/admin" title="">Admin Portal</a>
                                            </li>
                                            <li>
                                                <i class="ti-power-off"></i>
                                                <a href="/" title="">Logout</a>
                                            </li>
                                        </ul>
                                    </div><!-- Shortcuts -->
                                </aside>
                            </div><!-- sidebar -->
                            <div class="col-lg-6">
                                <div class="central-meta">
                                    <div class="new-postbox">
                                        <figure>
                                            <img th:src="@{'data:image/png;base64,'+${user.generateProfilePhoto()}}"
                                                 alt="" src="" id="userImage">
                                        </figure>
                                        <div class="newpst-input">
                                            <textarea rows="2" placeholder="What's on your mind..."
                                                      class="post-content"></textarea>
                                            <div class="attachments">
                                                <ul>
                                                    <li>
                                                        <i class="fa fa-image"></i>
                                                        <label class="fileContainer">
                                                            <input type="file" name="post-file" class="post-file"
                                                                   id="post-file">
                                                        </label>
                                                    </li>
                                                    <li>
                                                        <select id="privacy-type" class="privacy-type">
                                                            <option value="PUBLIC">Public</option>
                                                            <option value="PRIVATE">Private</option>
                                                        </select>
                                                    </li>
                                                    <li>
                                                        <button type="submit" id="new-post" class="new-post">Post
                                                        </button>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div><!-- add post new box -->
                                <div class="loadMore" id="posts">
                                    <input type="hidden" th:value="${user.getId()}" id="logged-user">

                                </div>
                            </div>
                            <div class="col-lg-3">
                                <aside class="sidebar static">
                                    <div class="widget friend-list stick-widget">
                                        <h4 class="widget-title">Friends</h4>
                                        <div id="searchDir"></div>
                                        <ul id="people-list" class="friendz-list"
                                            th:each="friend:${user.getSenderFriends()}">
                                            <li>
                                                <figure>
                                                    <img th:src="@{'data:image/png;base64,'+${friend.getReceiver().generateProfilePhoto()}}"
                                                         src="" alt="">
                                                </figure>
                                                <div class="friendz-meta">
                                                    <a th:text="${friend.getReceiver().firstName} +' '+ ${friend.getReceiver().lastName}"
                                                       th:href="@{/profile/{id}(id=${friend.getReceiver().getId()})}"> </a>
                                                </div>
                                            </li>
                                        </ul>
                                    </div><!-- friends list sidebar -->
                                </aside>
                            </div><!-- sidebar -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div><!-- side panel -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>
<script src="/js/main.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js"></script>
<script src="/js/script.js"></script>
<script src="/js/profile-posts.js"></script>
<script src="/js/main-js.js"></script>
</body>

</html>